.banner .swiper-slide {
    position: relative;
    min-height: 360px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.banner .swiper-slide img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
}
.banner .swiper-slide .area-text {
    width: 100%;
    max-width: 1400px;
    margin: 0 auto;
    padding: 1rem;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}
.banner .swiper-slide .area-text h1 {
    color: var(--azul);
    font-size: 1.8rem;
    font-weight: 500;
    max-width: 650px;
    text-align: center;
}
.banner .swiper-slide .area-text h1 span {
    font-weight: 600;
}
.banner .swiper-slide .area-text a,
a.ancoraMorePosts {
    color: var(--azul);
    font-weight: 600;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    padding: 10px;
    border: 2px solid var(--azul);
    transition: all .3s ease;
}
.banner .swiper-slide .area-text a svg,
a.ancoraMorePosts svg {
    width: 20px;
    height: 20px;
    fill: var(--azul);
    transition: all .3s ease;
}
.banner .swiper-slide .area-text a:hover,
a.ancoraMorePosts:hover {
    background-color: var(--azul);
    color: var(--bege);
}
.banner .swiper-slide .area-text a:hover svg,
a.ancoraMorePosts:hover svg {
    fill: var(--bege);
}
main {
    background-color: #ebe5d4;
    padding: 2rem 1rem;
    scroll-margin-top: 85px;
}
main .content > h1 {
    text-align: center;
    padding: 3rem 0 1.5rem 0;
    margin: 0rem 0 3rem;
    position: relative;
    text-transform: uppercase;
    font-size: 1.75rem;
    font-weight: 600;
    color: var(--color-roxo);
}
main .content > .title h1 {
    font-size: 1.25rem;
    font-weight: 500;
    text-transform: uppercase;
    color: var(--azul);
    letter-spacing: 3px;
    position: relative;
    margin-bottom: 2rem;
    padding-bottom: 1rem;
}
main .content > .title h1::before {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    height: 3px;
    width: 100px;
    background-color: var(--bege-dark-secondary);
}
.area-top {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    gap: 3rem;
}

main .area-image {
    width: 500px;
    height: 650px;
    position: relative;
    margin-left: 0;
}

.img-principal {
    position: relative;
    width: 100%;
}
main .swiper-wrapper a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    padding: 1rem;
    border: 3px solid var(--bege-dark-secondary);
}

main .area-image img, 
main .area-image iframe {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    width: calc(100% - 2rem);
    height: calc(100% - 2rem);
    object-fit: cover;
}

.swiper-pagination {
    bottom: 4px !important;
}
.swiper-pagination-bullet-active {
    background-color: var(--azul);
}

#lista-posts {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 3rem;
}
a.item-list {
    display: flex;
    flex-direction: column-reverse;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 1rem;
    padding: 0;
    color: var(--azul);
    border-radius: 0;
    transition: all .3s ease;
}
a.item-list .left,
a.item-list .right {
    width: 100%;
}
a.item-list .area-image {
    width: 100%;
    padding: 1rem;
    border: 2px solid var(--bege-dark-secondary);
}
a.item-list .area-image img {
    display: flex;
    width: 100%;
    height: 100%;
    object-fit: cover;
}
a.item-list:hover {
    color: var(--bege-dark-secondary);
}
a.item-list h4.title {
    font-size: 1.25rem;
    font-weight: 600;
    text-transform: uppercase;
}
a.item-list p.date {
    font-size: 0.9rem;
    margin-bottom: 1rem;
}

.pagination {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    margin-top: 2rem;
}

.pagination button {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px;
    font-size: 0.85rem;
    font-weight: 600;
    background-color: transparent;
    color: var(--color-cinza);
    transition: .2s;
}

.pagination button:hover,
.pagination button.active {
    color: #d6985d;
}

.pagination button.active {
    font-size: 0.9rem;
}

.pagination button.arrow svg {
    width: 12px;
    fill: var(--color-cinza);
    transition: .2s;
}

.pagination button.arrow:hover svg {
    fill: var(--color-roxo);
}

.area-bottom {
    grid-column: 1 / -1;
    display: grid;
    grid-gap: 10px;
}

.area-bottom .date {
    margin-bottom: 1.5rem;
}

.area-bottom .date p,
.area-bottom .date span {
    font-weight: 500;
    color: var(--azul);
}

.area-bottom h2.title {
    font-size: 1.5rem;
    font-weight: 700;
    color: var(--azul);
    text-transform: uppercase;
}

.area-bottom .area-text p,
.area-bottom .area-text {
    font-size: 1rem;
    font-weight: 500;
    margin-bottom: 1rem;
    color: var(--azul);
}
.area-search {
    position: relative;
    margin-bottom: 1rem;
}
.area-search input {
    font-weight: 500;
    box-shadow: none !important;
    outline: none !important;
    padding: 1rem 1rem 1rem 3rem;
    border: 2px solid var(--azul);
    background-color: transparent;
    color: var(--azul);
    height: 55px;
    font-size: 1rem;
}
.area-search input::placeholder {
    font-size: 1rem;
    color: #a5a5a5;
}
.area-search, 
.area-search input {
    width: 100%;
    max-width: 500px;
}
.area-search .button {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 55px;
    height: 55px;
    border: none;
    background-color: transparent;
    margin: 0;
    cursor: pointer;
}
.area-search .button svg {
    transform: rotate(90deg);
    fill: var(--azul);
    width: 1.5rem;
}
.area-search .button:hover {
    transition: .3s;
    background-color: var(--azul);
}
.area-search .button:hover svg {
    fill: var(--bege);
}
.area-search input:focus {
    background-color: var(--bege);
}
.resume p {
    margin-bottom: 1rem;
}
.no-result {
    padding: 10px;
    text-align: center;
    color: #777;
}
a.ancoraMorePosts {
    max-width: max-content;
    margin: 0 auto;
}
a.ancoraMorePosts svg {
    transform: rotate(90deg);
}
section#more-posts {
    scroll-margin-top: 85px;
    background-color: #fbf5e5;
    padding: 3rem 1rem;
}
section.saiba-mais {
    background-color: #ebe5d4;
}
@media (max-width: 1200px) {
    .area-top {
        flex-direction: column;
        gap: 2rem;
    }
    #lista-posts {
        grid-template-columns: repeat(2, 1fr);
        grid-gap: 2rem;
    }
}
@media (max-width: 600px) {
    main .area-image {
        width: 100%;
        height: auto;
        aspect-ratio: 3 / 4;
    }
    .area-search, 
    .area-search input {
        max-width: 100%;
    }
    .area-search {
        margin-bottom: 2rem;
    }
    #lista-posts {
        grid-template-columns: 1fr;
        grid-gap: 1rem;
    }
}
@media (max-width: 600px) {
    .banner .swiper-slide .area-text h1 {
        font-size: 1.5rem;
    }
}